[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Cos

Calculate cosine of angle

## Declaration

Source position: mathh.inc line 112

`function Cos(`
`d: ValReal`
`):ValReal;`

## Description

Cos returns the cosine of X, where X is an angle, in radians. If the absolute value of the argument is larger than 2^63, then the result is undefined.

## Errors

None.

## See also

Arctan |  | Calculate inverse tangent
Sin |  | Calculate sine of angle

## Example

    Program Example12;

    { Program to demonstrate the Cos function. }

    Var R : Real;

    begin
      R:=Cos(Pi);    { R:=-1 }
      R:=Cos(Pi/2);  { R:=0  }
      R:=Cos(0);     { R:=1  }
    end.